/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\GrimoireOfReflection.cs
Lines of code: 39
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class GrimoireOfReflection : Spellbook
	{
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}
		[Constructable]
		public GrimoireOfReflection() : base()
		{
			Name = "Grimoire Of Reflection";
			LootType = LootType.Regular;
			Hue = 2406;
			Attributes.CastSpeed = 1;
			Attributes.CastRecovery = 3;
			Attributes.LowerRegCost = 20;
			Attributes.ReflectPhysical = 15;
		}

		public GrimoireOfReflection( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int)0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}